cascading.tap

## Interface CompositeTap<Child extends Tap>

- All Known Implementing Classes:
    MultiSinkTap, MultiSourceTap

      public interface CompositeTap<Child extends Tap>

  Interface CompositeTap marks `Tap` classes as having child Tap instances.

  This information is required by the planner in order to properly configure the underlying platform.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Iterator<Child>` | `getChildTaps()`
    `long` | `getNumChildTaps()`

- - ### Method Detail

    - #### getChildTaps

          java.util.Iterator<Child> getChildTaps()

    - #### getNumChildTaps

          long getNumChildTaps()

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.